<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div i="globalDiv">
                <h1>#{messages['net.ihe.gazelle.hpd.HPDProviderInformationDirectory']}</h1>
                <gri:panel>
                    <f:facet name="header">#{messages['net.ihe.gazelle.hpd.ConfigurationInformation']}</f:facet>
                    <div class="row">
                        <div class="col-md-offset-2 col-md-4">
                            <h:graphicImage library="img" name="diag/PROV_INFO_DIR.png"/>
                        </div>
                        <div class="col-md-offset-1 col-md-5">
                            <gri:panel>
                                <f:facet name="header">Provider Information Directory</f:facet>
                                <s:decorate template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['net.ihe.gazelle.hpd.WSDLLocation']}</ui:define>
                                    <h:outputLink value="#{providerInformationDirectoryConfiguration.directoryWsdl}"
                                                  target="blank">
                                        <h:outputText
                                                value="#{providerInformationDirectoryConfiguration.directoryWsdl}"/>
                                    </h:outputLink>
                                </s:decorate>
                            </gri:panel>
                        </div>
                    </div>
                    <h2>#{messages['net.ihe.gazelle.hpd.AvailablePartitions']}</h2>
                    <s:decorate template="/common/ldappartition/partitionDatatableWithRegexColumns.xhtml">
                        <ui:param name="partitions"
                                  value="#{providerInformationDirectoryConfiguration.getAvailablePartitions()}"/>
                    </s:decorate>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
